using System;
namespace System.Model
{
	/// <summary>
	/// T_Bus_StockLog:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public partial class T_Bus_StockLog
	{
		public T_Bus_StockLog()
		{ }
		#region Model
		private string _f_id;
		private string _f_orderid = "";
		private string _f_productid = "";
		private string _f_stock = "";
		private int _f_num = 0;
		private DateTime _f_addtime;
		private int _f_userid = 0;
		private string _f_username = "";
		private int _f_state = 0;
		private int _f_action = 0;
		private string _f_result = "";
		private int _f_batchnum = 0;
		private string _f_flownum = "";
		private int _f_status = 0;
		private DateTime? _f_callbacktime;
		/// <summary>
		/// 
		/// </summary>
		public string F_Id
		{
			set { _f_id = value; }
			get { return _f_id; }
		}
		/// <summary>
		/// 订单Id
		/// </summary>
		public string F_OrderId
		{
			set { _f_orderid = value; }
			get { return _f_orderid; }
		}
		/// <summary>
		/// 产品Id
		/// </summary>
		public string F_ProductId
		{
			set { _f_productid = value; }
			get { return _f_productid; }
		}
		/// <summary>
		/// 变动货仓
		/// </summary>
		public string F_Stock
		{
			set { _f_stock = value; }
			get { return _f_stock; }
		}
		/// <summary>
		/// 变动数量 负数- 正数+
		/// </summary>
		public int F_Num
		{
			set { _f_num = value; }
			get { return _f_num; }
		}
		/// <summary>
		/// 变动时间
		/// </summary>
		public DateTime F_AddTime
		{
			set { _f_addtime = value; }
			get { return _f_addtime; }
		}
		/// <summary>
		/// 用户id
		/// </summary>
		public int F_UserId
		{
			set { _f_userid = value; }
			get { return _f_userid; }
		}
		/// <summary>
		/// 操作人姓名
		/// </summary>
		public string F_UserName
		{
			set { _f_username = value; }
			get { return _f_username; }
		}
		/// <summary>
		/// 变动结果0未开始  1成功  2失败
		/// </summary>
		public int F_State
		{
			set { _f_state = value; }
			get { return _f_state; }
		}
		/// <summary>
		/// 操作1提交减库存   2审核退库存 3其他退库存
		/// </summary>
		public int F_Action
		{
			set { _f_action = value; }
			get { return _f_action; }
		}
		/// <summary>
		/// 亿博士返回结果
		/// </summary>
		public string F_Result
		{
			set { _f_result = value; }
			get { return _f_result; }
		}
		/// <summary>
		/// 本批次数量
		/// </summary>
		public int F_BatchNum
		{
			set { _f_batchnum = value; }
			get { return _f_batchnum; }
		}
		/// <summary>
		/// 批次号，同一个订单同一批库存操作，号一致，其中只要有一个失败的，则全部需要回滚
		/// </summary>
		public string F_FlowNum
		{
			set { _f_flownum = value; }
			get { return _f_flownum; }
		}
		/// <summary>
		/// 0待处理   1本批次已全部审核回滚  2本批次已完成   3本批次全部库管退回
		/// </summary>
		public int F_Status
		{
			set { _f_status = value; }
			get { return _f_status; }
		}
		/// <summary>
		/// 完成时间
		/// </summary>
		public DateTime? F_CallBackTime
		{
			set { _f_callbacktime = value; }
			get { return _f_callbacktime; }
		}
		#endregion Model

	}
}

